Package org.apache.struts2.dispatcher

# Class ExecuteOperations

java.lang.Object
org.apache.struts2.dispatcher.ExecuteOperations

public class ExecuteOperations extends Object
Contains execution operations for filters

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteOperations(Dispatcher dispatcher)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executeAction(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, ActionMapping mapping)`
  Executes an action
  `boolean`
  `executeStaticResourceRequest(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  Tries to execute a request for a static resource

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecuteOperations

    public ExecuteOperations(Dispatcher dispatcher)

- ## Method Details

  - ### executeStaticResourceRequest

    public boolean executeStaticResourceRequest(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException, jakarta.servlet.ServletException
    Tries to execute a request for a static resource
    Parameters:
      `request` - servlet request
      `response` - servlet response
    Returns:
      True if it was handled, false if the filter should fall through
    Throws:
      `IOException` - on any io error
      `jakarta.servlet.ServletException` - on any servlet related error

  - ### executeAction

    public void executeAction(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, ActionMapping mapping) throws jakarta.servlet.ServletException
    Executes an action
    Parameters:
      `request` - servlet request
      `response` - servlet response
      `mapping` - action mapping
    Throws:
      `jakarta.servlet.ServletException` - on any servlet related error